Subject: RE: bug#61258: 29.0.60; pgtk build from git, WSLg, slow, heavy cpu use

From: "J. Scott Berg" <[email-masked]>
Date: Wed, 2 Aug 2023 13:00:08 +0000

I did some testing on a straight up Ubuntu box running Wayland, and you can see the same increase in CPU usage, though it doesn't seem to be as much of a problem there (on WSL2 it becomes impossible to work at some point, on straight Ubuntu/Wayland it's not bothersome). Doesn't seem to be an issue with the Xorg server.

> -----Original Message-----
> From: Eli Zaretskii <[email-masked]>
> Sent: Wednesday, August 2, 2023 7:50 AM
> To: Fujii Hironori <[email-masked]>
> Cc: [email-masked]; [email-masked]
> Subject: Re: bug#61258: 29.0.60; pgtk build from git, WSLg, slow, heavy cpu
> use
> 
> > From: Fujii Hironori <[email-masked]>
> > Date: Wed, 2 Aug 2023 07:01:27 +0900
> >
> > > Emacs built with pgtk. Editing in f90 mode, though I don't think this is
> > > important. Display is WSLg. Severe input lag, to the point off becoming
> > > unusable, gets worse with more frames (or just time?). Heavy CPU usage
> by
> > > emacs while doing anything. Problem not seen when not built with pgtk.
> >
> > I'm observing a similar high CPU usage problem with Emacs 29.1 on WSL1 and
> X server, not with
> > WSLg.
> > As suggested by
> >
> https://www.reddit.com/r/emacs/comments/urivlg/high_cpu_usage_in_wsl_with_em
> acs_29050/
> > reverting
> > https://github.com/emacs-
> mirror/emacs/commit/fa52782f5c4eaef7138534766dfc8a29465785b2
> > solves the problem for me.
> 
> Thanks, but to do anything with this report we'd need at least to
> understand what is causing the high CPU usage.  The linked Reddit post
> has a profile, but only before removing those 4 lines.  Perhaps
> comparing two profiles, before and after the change, while doing the
> same stuff in the same build of Emacs, would give us some ideas.